#!/bin/sh
# Script for execution of SPM Standalone
#
# The MATLAB Runtime directory needs to be specified as first input argument
# or via the MCR_HOME environment variable.

exe_name=$0
exe_dir=`dirname "$0"`
if [ "x$1" = "x" ]; then
  if [ -z "${MCR_HOME}" ]; then
    echo Usage:
    echo    $0 \<deployedMCRroot\> args
    exit
  else
    MCRROOT=${MCR_HOME}
  fi
else
  if [ -z "${MCR_HOME}" ]; then
    MCRROOT="$1"
    shift 1
  else
    MCRROOT=${MCR_HOME}
    if [ "${MCRROOT}" = "$1" ]; then
      shift 1
    fi
  fi
fi
  LD_LIBRARY_PATH=.:${MCRROOT}/runtime/glnxa64 ;
  LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/bin/glnxa64 ;
  LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/sys/os/glnxa64;
  LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${MCRROOT}/sys/opengl/lib/glnxa64;
  export LD_LIBRARY_PATH;
  # Preload glibc_shim in case of RHEL7 variants
  test -e /usr/bin/ldd &&  ldd --version |  grep -q "(GNU libc) 2\.17"  \
            && export LD_PRELOAD="${MCRROOT}/bin/glnxa64/glibc-2.17_shim.so"
  args=
  while [ $# -gt 0 ]; do
      token=$1
      args="${args} \"${token}\"" 
      shift
  done
  eval "\"${exe_dir}/spm\"" $args
exit
